<html>
<head>
<title>OGRE: Ogre::VertexElement Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1VertexElement.html">VertexElement</a></div>
<h1>Ogre::VertexElement Class Reference</h1><!-- doxytag: class="Ogre::VertexElement" -->This class declares the usage of a single vertex buffer as a component of a complete <a class="el" href="classOgre_1_1VertexDeclaration.html" title="This class declares the format of a set of vertex inputs, which can be issued to...">VertexDeclaration</a>.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreHardwareVertexBuffer_8h-source.html">OgreHardwareVertexBuffer.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1VertexElement-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexElement.html#b554b57536fc3eddde886d100c62791f">VertexElement</a> (unsigned short source, size_t offset, <a class="el" href="namespaceOgre.html#027109503a988ba85f4c63b55082907f">VertexElementType</a> theType, <a class="el" href="namespaceOgre.html#0a62b3f2ede8992ff365bb013a8bc00d">VertexElementSemantic</a> semantic, unsigned short index=0)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Constructor, should not be called directly, call <a class="el" href="classOgre_1_1VertexDeclaration.html#e789acf4f4a63d8638fc23cb4e26239f" title="Adds a new VertexElement to this declaration.">VertexDeclaration::addElement</a>.  <a href="#b554b57536fc3eddde886d100c62791f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned short&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexElement.html#c0559c14d6c048db96c1eff14cceff40">getSource</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the vertex buffer index from where this element draws it's values.  <a href="#c0559c14d6c048db96c1eff14cceff40"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexElement.html#ffcb4cfae6944a6cb43d1a03664f4a95">getOffset</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the offset into the buffer where this element starts.  <a href="#ffcb4cfae6944a6cb43d1a03664f4a95"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#027109503a988ba85f4c63b55082907f">VertexElementType</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexElement.html#ea85cdaf058bc4ef4f43a21a042e8e4b">getType</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the data format of this element.  <a href="#ea85cdaf058bc4ef4f43a21a042e8e4b"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#0a62b3f2ede8992ff365bb013a8bc00d">VertexElementSemantic</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexElement.html#eab14d13a7368e75be776c871420cc77">getSemantic</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the meaning of this element.  <a href="#eab14d13a7368e75be776c871420cc77"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned short&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexElement.html#14940087823ab0068a7a684c5ee6353a">getIndex</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the index of this element, only applicable for repeating elements.  <a href="#14940087823ab0068a7a684c5ee6353a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexElement.html#8fc4573e6122ee2a73577d74b50ed599">getSize</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the size of this element in bytes.  <a href="#8fc4573e6122ee2a73577d74b50ed599"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexElement.html#65832073a574e06903adc1101e109732">operator==</a> (const <a class="el" href="classOgre_1_1VertexElement.html">VertexElement</a> &amp;rhs) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexElement.html#34d62f56827dfb288b55059696587d83">baseVertexPointerToElement</a> (void *pBase, void **pElem) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Adjusts a pointer to the base of a vertex to point at this element.  <a href="#34d62f56827dfb288b55059696587d83"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexElement.html#20a697dec05663dea83bdee02d9412bf">baseVertexPointerToElement</a> (void *pBase, float **pElem) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Adjusts a pointer to the base of a vertex to point at this element.  <a href="#20a697dec05663dea83bdee02d9412bf"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexElement.html#676a6d854d713058757f640cf6a6ae17">baseVertexPointerToElement</a> (void *pBase, <a class="el" href="namespaceOgre.html#8c0fefd117985c6df93c4714f370bcd6">RGBA</a> **pElem) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Adjusts a pointer to the base of a vertex to point at this element.  <a href="#676a6d854d713058757f640cf6a6ae17"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexElement.html#5cdb660e91d8d4adbad6172e86c2562f">baseVertexPointerToElement</a> (void *pBase, unsigned char **pElem) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Adjusts a pointer to the base of a vertex to point at this element.  <a href="#5cdb660e91d8d4adbad6172e86c2562f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexElement.html#f3bcab57ea91e958261c618b2c8925c4">baseVertexPointerToElement</a> (void *pBase, unsigned short **pElem) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Adjusts a pointer to the base of a vertex to point at this element.  <a href="#f3bcab57ea91e958261c618b2c8925c4"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexElement.html#0c6ec880969e888a995e5e7bcae73e6f">getTypeSize</a> (<a class="el" href="namespaceOgre.html#027109503a988ba85f4c63b55082907f">VertexElementType</a> etype)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Utility method for helping to calculate offsets.  <a href="#0c6ec880969e888a995e5e7bcae73e6f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static unsigned short&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexElement.html#e62cacb2ca32a02851422f2e4f66be68">getTypeCount</a> (<a class="el" href="namespaceOgre.html#027109503a988ba85f4c63b55082907f">VertexElementType</a> etype)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Utility method which returns the count of values in a given type.  <a href="#e62cacb2ca32a02851422f2e4f66be68"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="namespaceOgre.html#027109503a988ba85f4c63b55082907f">VertexElementType</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexElement.html#e5e021d95c04f267cd8f4bcc8133aa8b">multiplyTypeCount</a> (<a class="el" href="namespaceOgre.html#027109503a988ba85f4c63b55082907f">VertexElementType</a> baseType, unsigned short count)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Simple converter function which will turn a single-value type into a multi-value type based on a parameter.  <a href="#e5e021d95c04f267cd8f4bcc8133aa8b"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="namespaceOgre.html#027109503a988ba85f4c63b55082907f">VertexElementType</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexElement.html#b72d0360c1bea273ac8fecd88c9a9ec6">getBaseType</a> (<a class="el" href="namespaceOgre.html#027109503a988ba85f4c63b55082907f">VertexElementType</a> multiType)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Simple converter function which will a type into it's single-value equivalent - makes switches on type easier.  <a href="#b72d0360c1bea273ac8fecd88c9a9ec6"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexElement.html#6e79d12b90d3bdb7ed6ecd43e1a400b0">convertColourValue</a> (<a class="el" href="namespaceOgre.html#027109503a988ba85f4c63b55082907f">VertexElementType</a> srcType, <a class="el" href="namespaceOgre.html#027109503a988ba85f4c63b55082907f">VertexElementType</a> dstType, <a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a> *ptr)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Utility method for converting colour from one packed 32-bit colour type to another.  <a href="#6e79d12b90d3bdb7ed6ecd43e1a400b0"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexElement.html#b4aba9e0430b1b330616827a5e99b54b">convertColourValue</a> (const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;src, <a class="el" href="namespaceOgre.html#027109503a988ba85f4c63b55082907f">VertexElementType</a> dst)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Utility method for converting colour to a packed 32-bit colour type.  <a href="#b4aba9e0430b1b330616827a5e99b54b"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="namespaceOgre.html#027109503a988ba85f4c63b55082907f">VertexElementType</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexElement.html#fd91fd79991fc24e48e986672b2250f4">getBestColourVertexElementType</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Utility method to get the most appropriate packed colour vertex element format.  <a href="#fd91fd79991fc24e48e986672b2250f4"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned short&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexElement.html#ba26f25183641c5095c8f6d0831dc1ca">mSource</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The source vertex buffer, as bound to an index using <a class="el" href="classOgre_1_1VertexBufferBinding.html" title="Records the state of all the vertex buffer bindings required to provide a vertex...">VertexBufferBinding</a>.  <a href="#ba26f25183641c5095c8f6d0831dc1ca"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexElement.html#82f811fecda479f8b1443d5df9488a25">mOffset</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The offset in the buffer that this element starts at.  <a href="#82f811fecda479f8b1443d5df9488a25"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#027109503a988ba85f4c63b55082907f">VertexElementType</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexElement.html#55d4996a5703f82020ebf05a4c5f8222">mType</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The type of element.  <a href="#55d4996a5703f82020ebf05a4c5f8222"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#0a62b3f2ede8992ff365bb013a8bc00d">VertexElementSemantic</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexElement.html#3f040d2e54d1dc1103a7cc3b2a0f2e9b">mSemantic</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The meaning of the element.  <a href="#3f040d2e54d1dc1103a7cc3b2a0f2e9b"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned short&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexElement.html#481893620cead3d8136aab24da32aa3c">mIndex</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Index of the item, only applicable for some elements like texture coords.  <a href="#481893620cead3d8136aab24da32aa3c"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
This class declares the usage of a single vertex buffer as a component of a complete <a class="el" href="classOgre_1_1VertexDeclaration.html" title="This class declares the format of a set of vertex inputs, which can be issued to...">VertexDeclaration</a>. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Several vertex buffers can be used to supply the input geometry for a rendering operation, and in each case a vertex buffer can be used in different ways for different operations; the buffer itself does not define the semantics (position, normal etc), the <a class="el" href="classOgre_1_1VertexElement.html" title="This class declares the usage of a single vertex buffer as a component of a complete...">VertexElement</a> class does. </dd></dl>

<p>Definition at line <a class="el" href="OgreHardwareVertexBuffer_8h-source.html#l00125">125</a> of file <a class="el" href="OgreHardwareVertexBuffer_8h-source.html">OgreHardwareVertexBuffer.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="b554b57536fc3eddde886d100c62791f"></a><!-- doxytag: member="Ogre::VertexElement::VertexElement" ref="b554b57536fc3eddde886d100c62791f" args="(unsigned short source, size_t offset, VertexElementType theType, VertexElementSemantic semantic, unsigned short index=0)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::VertexElement::VertexElement           </td>
          <td>(</td>
          <td class="paramtype">unsigned short&nbsp;</td>
          <td class="paramname"> <em>source</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>offset</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#027109503a988ba85f4c63b55082907f">VertexElementType</a>&nbsp;</td>
          <td class="paramname"> <em>theType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#0a62b3f2ede8992ff365bb013a8bc00d">VertexElementSemantic</a>&nbsp;</td>
          <td class="paramname"> <em>semantic</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned short&nbsp;</td>
          <td class="paramname"> <em>index</em> = <code>0</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Constructor, should not be called directly, call <a class="el" href="classOgre_1_1VertexDeclaration.html#e789acf4f4a63d8638fc23cb4e26239f" title="Adds a new VertexElement to this declaration.">VertexDeclaration::addElement</a>. 
<p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="c0559c14d6c048db96c1eff14cceff40"></a><!-- doxytag: member="Ogre::VertexElement::getSource" ref="c0559c14d6c048db96c1eff14cceff40" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned short Ogre::VertexElement::getSource           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the vertex buffer index from where this element draws it's values. 
<p>

<p>Definition at line <a class="el" href="OgreHardwareVertexBuffer_8h-source.html#l00143">143</a> of file <a class="el" href="OgreHardwareVertexBuffer_8h-source.html">OgreHardwareVertexBuffer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="ffcb4cfae6944a6cb43d1a03664f4a95"></a><!-- doxytag: member="Ogre::VertexElement::getOffset" ref="ffcb4cfae6944a6cb43d1a03664f4a95" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t Ogre::VertexElement::getOffset           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the offset into the buffer where this element starts. 
<p>

<p>Definition at line <a class="el" href="OgreHardwareVertexBuffer_8h-source.html#l00145">145</a> of file <a class="el" href="OgreHardwareVertexBuffer_8h-source.html">OgreHardwareVertexBuffer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="ea85cdaf058bc4ef4f43a21a042e8e4b"></a><!-- doxytag: member="Ogre::VertexElement::getType" ref="ea85cdaf058bc4ef4f43a21a042e8e4b" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#027109503a988ba85f4c63b55082907f">VertexElementType</a> Ogre::VertexElement::getType           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the data format of this element. 
<p>

<p>Definition at line <a class="el" href="OgreHardwareVertexBuffer_8h-source.html#l00147">147</a> of file <a class="el" href="OgreHardwareVertexBuffer_8h-source.html">OgreHardwareVertexBuffer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="eab14d13a7368e75be776c871420cc77"></a><!-- doxytag: member="Ogre::VertexElement::getSemantic" ref="eab14d13a7368e75be776c871420cc77" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#0a62b3f2ede8992ff365bb013a8bc00d">VertexElementSemantic</a> Ogre::VertexElement::getSemantic           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the meaning of this element. 
<p>

<p>Definition at line <a class="el" href="OgreHardwareVertexBuffer_8h-source.html#l00149">149</a> of file <a class="el" href="OgreHardwareVertexBuffer_8h-source.html">OgreHardwareVertexBuffer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="14940087823ab0068a7a684c5ee6353a"></a><!-- doxytag: member="Ogre::VertexElement::getIndex" ref="14940087823ab0068a7a684c5ee6353a" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned short Ogre::VertexElement::getIndex           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the index of this element, only applicable for repeating elements. 
<p>

<p>Definition at line <a class="el" href="OgreHardwareVertexBuffer_8h-source.html#l00151">151</a> of file <a class="el" href="OgreHardwareVertexBuffer_8h-source.html">OgreHardwareVertexBuffer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="8fc4573e6122ee2a73577d74b50ed599"></a><!-- doxytag: member="Ogre::VertexElement::getSize" ref="8fc4573e6122ee2a73577d74b50ed599" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t Ogre::VertexElement::getSize           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the size of this element in bytes. 
<p>

</div>
</div><p>
<a class="anchor" name="0c6ec880969e888a995e5e7bcae73e6f"></a><!-- doxytag: member="Ogre::VertexElement::getTypeSize" ref="0c6ec880969e888a995e5e7bcae73e6f" args="(VertexElementType etype)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static size_t Ogre::VertexElement::getTypeSize           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#027109503a988ba85f4c63b55082907f">VertexElementType</a>&nbsp;</td>
          <td class="paramname"> <em>etype</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Utility method for helping to calculate offsets. 
<p>

</div>
</div><p>
<a class="anchor" name="e62cacb2ca32a02851422f2e4f66be68"></a><!-- doxytag: member="Ogre::VertexElement::getTypeCount" ref="e62cacb2ca32a02851422f2e4f66be68" args="(VertexElementType etype)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static unsigned short Ogre::VertexElement::getTypeCount           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#027109503a988ba85f4c63b55082907f">VertexElementType</a>&nbsp;</td>
          <td class="paramname"> <em>etype</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Utility method which returns the count of values in a given type. 
<p>

</div>
</div><p>
<a class="anchor" name="e5e021d95c04f267cd8f4bcc8133aa8b"></a><!-- doxytag: member="Ogre::VertexElement::multiplyTypeCount" ref="e5e021d95c04f267cd8f4bcc8133aa8b" args="(VertexElementType baseType, unsigned short count)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="namespaceOgre.html#027109503a988ba85f4c63b55082907f">VertexElementType</a> Ogre::VertexElement::multiplyTypeCount           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#027109503a988ba85f4c63b55082907f">VertexElementType</a>&nbsp;</td>
          <td class="paramname"> <em>baseType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned short&nbsp;</td>
          <td class="paramname"> <em>count</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Simple converter function which will turn a single-value type into a multi-value type based on a parameter. 
<p>

</div>
</div><p>
<a class="anchor" name="b72d0360c1bea273ac8fecd88c9a9ec6"></a><!-- doxytag: member="Ogre::VertexElement::getBaseType" ref="b72d0360c1bea273ac8fecd88c9a9ec6" args="(VertexElementType multiType)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="namespaceOgre.html#027109503a988ba85f4c63b55082907f">VertexElementType</a> Ogre::VertexElement::getBaseType           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#027109503a988ba85f4c63b55082907f">VertexElementType</a>&nbsp;</td>
          <td class="paramname"> <em>multiType</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Simple converter function which will a type into it's single-value equivalent - makes switches on type easier. 
<p>

</div>
</div><p>
<a class="anchor" name="6e79d12b90d3bdb7ed6ecd43e1a400b0"></a><!-- doxytag: member="Ogre::VertexElement::convertColourValue" ref="6e79d12b90d3bdb7ed6ecd43e1a400b0" args="(VertexElementType srcType, VertexElementType dstType, uint32 *ptr)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void Ogre::VertexElement::convertColourValue           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#027109503a988ba85f4c63b55082907f">VertexElementType</a>&nbsp;</td>
          <td class="paramname"> <em>srcType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#027109503a988ba85f4c63b55082907f">VertexElementType</a>&nbsp;</td>
          <td class="paramname"> <em>dstType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a> *&nbsp;</td>
          <td class="paramname"> <em>ptr</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Utility method for converting colour from one packed 32-bit colour type to another. 
<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>srcType</em>&nbsp;</td><td>The source type </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>dstType</em>&nbsp;</td><td>The destination type </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>ptr</em>&nbsp;</td><td>Read / write value to change </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="b4aba9e0430b1b330616827a5e99b54b"></a><!-- doxytag: member="Ogre::VertexElement::convertColourValue" ref="b4aba9e0430b1b330616827a5e99b54b" args="(const ColourValue &amp;src, VertexElementType dst)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a> Ogre::VertexElement::convertColourValue           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>src</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#027109503a988ba85f4c63b55082907f">VertexElementType</a>&nbsp;</td>
          <td class="paramname"> <em>dst</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Utility method for converting colour to a packed 32-bit colour type. 
<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>src</em>&nbsp;</td><td>source colour </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>dst</em>&nbsp;</td><td>The destination type </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="fd91fd79991fc24e48e986672b2250f4"></a><!-- doxytag: member="Ogre::VertexElement::getBestColourVertexElementType" ref="fd91fd79991fc24e48e986672b2250f4" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="namespaceOgre.html#027109503a988ba85f4c63b55082907f">VertexElementType</a> Ogre::VertexElement::getBestColourVertexElementType           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Utility method to get the most appropriate packed colour vertex element format. 
<p>

</div>
</div><p>
<a class="anchor" name="65832073a574e06903adc1101e109732"></a><!-- doxytag: member="Ogre::VertexElement::operator==" ref="65832073a574e06903adc1101e109732" args="(const VertexElement &amp;rhs) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::VertexElement::operator==           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1VertexElement.html">VertexElement</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rhs</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreHardwareVertexBuffer_8h-source.html#l00187">187</a> of file <a class="el" href="OgreHardwareVertexBuffer_8h-source.html">OgreHardwareVertexBuffer.h</a>.</p>

<p>References <a class="el" href="OgreHardwareVertexBuffer_8h-source.html#l00137">mIndex</a>, <a class="el" href="OgreHardwareVertexBuffer_8h-source.html#l00131">mOffset</a>, <a class="el" href="OgreHardwareVertexBuffer_8h-source.html#l00135">mSemantic</a>, <a class="el" href="OgreHardwareVertexBuffer_8h-source.html#l00129">mSource</a>, and <a class="el" href="OgreHardwareVertexBuffer_8h-source.html#l00133">mType</a>.</p>

</div>
</div><p>
<a class="anchor" name="34d62f56827dfb288b55059696587d83"></a><!-- doxytag: member="Ogre::VertexElement::baseVertexPointerToElement" ref="34d62f56827dfb288b55059696587d83" args="(void *pBase, void **pElem) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::VertexElement::baseVertexPointerToElement           </td>
          <td>(</td>
          <td class="paramtype">void *&nbsp;</td>
          <td class="paramname"> <em>pBase</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void **&nbsp;</td>
          <td class="paramname"> <em>pElem</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Adjusts a pointer to the base of a vertex to point at this element. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This variant is for void pointers, passed as a parameter because we can't rely on covariant return types. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>pBase</em>&nbsp;</td><td>Pointer to the start of a vertex in this buffer. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>pElem</em>&nbsp;</td><td>Pointer to a pointer which will be set to the start of this element. </td></tr>
  </table>
</dl>

<p>Definition at line <a class="el" href="OgreHardwareVertexBuffer_8h-source.html#l00206">206</a> of file <a class="el" href="OgreHardwareVertexBuffer_8h-source.html">OgreHardwareVertexBuffer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="20a697dec05663dea83bdee02d9412bf"></a><!-- doxytag: member="Ogre::VertexElement::baseVertexPointerToElement" ref="20a697dec05663dea83bdee02d9412bf" args="(void *pBase, float **pElem) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::VertexElement::baseVertexPointerToElement           </td>
          <td>(</td>
          <td class="paramtype">void *&nbsp;</td>
          <td class="paramname"> <em>pBase</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float **&nbsp;</td>
          <td class="paramname"> <em>pElem</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Adjusts a pointer to the base of a vertex to point at this element. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This variant is for float pointers, passed as a parameter because we can't rely on covariant return types. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>pBase</em>&nbsp;</td><td>Pointer to the start of a vertex in this buffer. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>pElem</em>&nbsp;</td><td>Pointer to a pointer which will be set to the start of this element. </td></tr>
  </table>
</dl>

<p>Definition at line <a class="el" href="OgreHardwareVertexBuffer_8h-source.html#l00220">220</a> of file <a class="el" href="OgreHardwareVertexBuffer_8h-source.html">OgreHardwareVertexBuffer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="676a6d854d713058757f640cf6a6ae17"></a><!-- doxytag: member="Ogre::VertexElement::baseVertexPointerToElement" ref="676a6d854d713058757f640cf6a6ae17" args="(void *pBase, RGBA **pElem) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::VertexElement::baseVertexPointerToElement           </td>
          <td>(</td>
          <td class="paramtype">void *&nbsp;</td>
          <td class="paramname"> <em>pBase</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#8c0fefd117985c6df93c4714f370bcd6">RGBA</a> **&nbsp;</td>
          <td class="paramname"> <em>pElem</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Adjusts a pointer to the base of a vertex to point at this element. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This variant is for RGBA pointers, passed as a parameter because we can't rely on covariant return types. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>pBase</em>&nbsp;</td><td>Pointer to the start of a vertex in this buffer. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>pElem</em>&nbsp;</td><td>Pointer to a pointer which will be set to the start of this element. </td></tr>
  </table>
</dl>

<p>Definition at line <a class="el" href="OgreHardwareVertexBuffer_8h-source.html#l00237">237</a> of file <a class="el" href="OgreHardwareVertexBuffer_8h-source.html">OgreHardwareVertexBuffer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="5cdb660e91d8d4adbad6172e86c2562f"></a><!-- doxytag: member="Ogre::VertexElement::baseVertexPointerToElement" ref="5cdb660e91d8d4adbad6172e86c2562f" args="(void *pBase, unsigned char **pElem) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::VertexElement::baseVertexPointerToElement           </td>
          <td>(</td>
          <td class="paramtype">void *&nbsp;</td>
          <td class="paramname"> <em>pBase</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned char **&nbsp;</td>
          <td class="paramname"> <em>pElem</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Adjusts a pointer to the base of a vertex to point at this element. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This variant is for char pointers, passed as a parameter because we can't rely on covariant return types. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>pBase</em>&nbsp;</td><td>Pointer to the start of a vertex in this buffer. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>pElem</em>&nbsp;</td><td>Pointer to a pointer which will be set to the start of this element. </td></tr>
  </table>
</dl>

<p>Definition at line <a class="el" href="OgreHardwareVertexBuffer_8h-source.html#l00250">250</a> of file <a class="el" href="OgreHardwareVertexBuffer_8h-source.html">OgreHardwareVertexBuffer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="f3bcab57ea91e958261c618b2c8925c4"></a><!-- doxytag: member="Ogre::VertexElement::baseVertexPointerToElement" ref="f3bcab57ea91e958261c618b2c8925c4" args="(void *pBase, unsigned short **pElem) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::VertexElement::baseVertexPointerToElement           </td>
          <td>(</td>
          <td class="paramtype">void *&nbsp;</td>
          <td class="paramname"> <em>pBase</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned short **&nbsp;</td>
          <td class="paramname"> <em>pElem</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Adjusts a pointer to the base of a vertex to point at this element. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This variant is for ushort pointers, passed as a parameter because we can't rely on covariant return types. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>pBase</em>&nbsp;</td><td>Pointer to the start of a vertex in this buffer. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>pElem</em>&nbsp;</td><td>Pointer to a pointer which will be set to the start of this element. </td></tr>
  </table>
</dl>

<p>Definition at line <a class="el" href="OgreHardwareVertexBuffer_8h-source.html#l00262">262</a> of file <a class="el" href="OgreHardwareVertexBuffer_8h-source.html">OgreHardwareVertexBuffer.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="ba26f25183641c5095c8f6d0831dc1ca"></a><!-- doxytag: member="Ogre::VertexElement::mSource" ref="ba26f25183641c5095c8f6d0831dc1ca" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned short <a class="el" href="classOgre_1_1VertexElement.html#ba26f25183641c5095c8f6d0831dc1ca">Ogre::VertexElement::mSource</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The source vertex buffer, as bound to an index using <a class="el" href="classOgre_1_1VertexBufferBinding.html" title="Records the state of all the vertex buffer bindings required to provide a vertex...">VertexBufferBinding</a>. 
<p>

<p>Definition at line <a class="el" href="OgreHardwareVertexBuffer_8h-source.html#l00129">129</a> of file <a class="el" href="OgreHardwareVertexBuffer_8h-source.html">OgreHardwareVertexBuffer.h</a>.</p>

<p>Referenced by <a class="el" href="OgreHardwareVertexBuffer_8h-source.html#l00187">operator==()</a>.</p>

</div>
</div><p>
<a class="anchor" name="82f811fecda479f8b1443d5df9488a25"></a><!-- doxytag: member="Ogre::VertexElement::mOffset" ref="82f811fecda479f8b1443d5df9488a25" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1VertexElement.html#82f811fecda479f8b1443d5df9488a25">Ogre::VertexElement::mOffset</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The offset in the buffer that this element starts at. 
<p>

<p>Definition at line <a class="el" href="OgreHardwareVertexBuffer_8h-source.html#l00131">131</a> of file <a class="el" href="OgreHardwareVertexBuffer_8h-source.html">OgreHardwareVertexBuffer.h</a>.</p>

<p>Referenced by <a class="el" href="OgreHardwareVertexBuffer_8h-source.html#l00187">operator==()</a>.</p>

</div>
</div><p>
<a class="anchor" name="55d4996a5703f82020ebf05a4c5f8222"></a><!-- doxytag: member="Ogre::VertexElement::mType" ref="55d4996a5703f82020ebf05a4c5f8222" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#027109503a988ba85f4c63b55082907f">VertexElementType</a> <a class="el" href="classOgre_1_1VertexElement.html#55d4996a5703f82020ebf05a4c5f8222">Ogre::VertexElement::mType</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The type of element. 
<p>

<p>Definition at line <a class="el" href="OgreHardwareVertexBuffer_8h-source.html#l00133">133</a> of file <a class="el" href="OgreHardwareVertexBuffer_8h-source.html">OgreHardwareVertexBuffer.h</a>.</p>

<p>Referenced by <a class="el" href="OgreHardwareVertexBuffer_8h-source.html#l00187">operator==()</a>.</p>

</div>
</div><p>
<a class="anchor" name="3f040d2e54d1dc1103a7cc3b2a0f2e9b"></a><!-- doxytag: member="Ogre::VertexElement::mSemantic" ref="3f040d2e54d1dc1103a7cc3b2a0f2e9b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#0a62b3f2ede8992ff365bb013a8bc00d">VertexElementSemantic</a> <a class="el" href="classOgre_1_1VertexElement.html#3f040d2e54d1dc1103a7cc3b2a0f2e9b">Ogre::VertexElement::mSemantic</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The meaning of the element. 
<p>

<p>Definition at line <a class="el" href="OgreHardwareVertexBuffer_8h-source.html#l00135">135</a> of file <a class="el" href="OgreHardwareVertexBuffer_8h-source.html">OgreHardwareVertexBuffer.h</a>.</p>

<p>Referenced by <a class="el" href="OgreHardwareVertexBuffer_8h-source.html#l00187">operator==()</a>.</p>

</div>
</div><p>
<a class="anchor" name="481893620cead3d8136aab24da32aa3c"></a><!-- doxytag: member="Ogre::VertexElement::mIndex" ref="481893620cead3d8136aab24da32aa3c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned short <a class="el" href="classOgre_1_1VertexElement.html#481893620cead3d8136aab24da32aa3c">Ogre::VertexElement::mIndex</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Index of the item, only applicable for some elements like texture coords. 
<p>

<p>Definition at line <a class="el" href="OgreHardwareVertexBuffer_8h-source.html#l00137">137</a> of file <a class="el" href="OgreHardwareVertexBuffer_8h-source.html">OgreHardwareVertexBuffer.h</a>.</p>

<p>Referenced by <a class="el" href="OgreHardwareVertexBuffer_8h-source.html#l00187">operator==()</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreHardwareVertexBuffer_8h-source.html">OgreHardwareVertexBuffer.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:59 2008
</p>
</body>
</html>
